#include "../../include/user/Led.h"

void Led::init() {}

void Led::on(const uint8_t id) {
    switch (id) {
        case LED0:
            DL_GPIO_setPins(LED_PORT, LED_Board_PIN);
            break;
        case LED1:
            DL_GPIO_clearPins(LED_PORT, LED_Led1_PIN);
            break;
        case LED2:
            DL_GPIO_setPins(LED_PORT, LED_Led2_PIN);
            break;
        case LED3:
            DL_GPIO_clearPins(LED_PORT, LED_Led3_PIN);
            break;
        default: {}
    }
}

void Led::off(const uint8_t id) {
    switch (id) {
        case LED0:
            DL_GPIO_clearPins(LED_PORT, LED_Board_PIN);
            break;
        case LED1:
            DL_GPIO_setPins(LED_PORT, LED_Led1_PIN);
            break;
        case LED2:
            DL_GPIO_clearPins(LED_PORT, LED_Led2_PIN);
            break;
        case LED3:
            DL_GPIO_setPins(LED_PORT, LED_Led3_PIN);
            break;
        default: {}
    }
}
